Subject: Re: [rohc] New ROHC Milesstones.

From: Emre Ertekin <[email-masked]>
Date: Thu, 10 Sep 2009 08:25:21 -0700

> The item I want to mark as "Done" is:
>
> Dec 2006 - Revised ROHC IP/UDP/RTP profiles submitted to IESG for
>            publication as Proposed Standard
>
> Mar 2007 - IKE/IPsec extensions for HC-session Parameter Negotiation
>            submitted to IESG for publication as Proposed Standard
>
> Mar 2007 - Header Compression over IPsec (HCoIPsec) submitted to IESG
>            for publication as Informational
>
> The first item resulted in RFC 5225, the second and the third items
> forms the ROHCoIPSec framework and are all drafts):
>
> draft-ietf-rohc-hcoipsec-11
> draft-ietf-rohc-ikev2-extensions-hcoipsec-09
> draft-ietf-rohc-ipsec-extensions-hcoipsec-05
>
> All ROHCoIPSec have passed the AD evaluation and drafts are now in
> IETF last-call.

I am fine with marking these items as "Done".

> Feb 2007 - ROHC encapsulation profile(s) for IPHC/CRTP/eCRTP submitted
>            to IESG for publication as Proposed Standard Jan 2007 -
> RObust Header Compression Protocol Number Registration
>            submitted to IESG for publication as Proposed Standard
>
> This was added before I started as a chair and it is not completely
> clear to me what the consensus is for this item. I can't really see
> what these new legacy profiles solve that can't be solved by existing
> profiles. I would like to have this discussion now.

I expressed my interest in this proposal a while back for a number of
reasons, including providing a bridge for existing HC implementations
into the ROHC framework.  There was push-back from the WG then, still
seems like there is push-back now...

> The Protocol Number Registration item is not needed. The registration
> is included in the ROHCoIPSec drafts.

I agree.

On a separate note: in passing discussions, I have heard interest in
the development of a ROHC over DVB spec.  However, I presume that if
this work takes place, it would fall under the IPDVB WG.

BR,
Emre

---

From: Zhu Lei <[email-masked]>
Date: Mon, 14 Sep 2009 15:02:31 +0800

Hi all,
 
No doubt that ROHC WG is very successful since mechanism would likely be
used in air interfaces. I also fully agree the situations which our AD
concluded. 
 
The successful protocol, like TCP, RTP, ipsec etc, are extented by some
particular reasons in IETF, and such extensions may also impact on the ROHC
protocol.
 
The intention of this e-mail is to attract the possibility to a newly
reserved and visible functions of part of transport area which is
responsible to the ROHC related issues, e.g. protocol clarifications,
corrections, new requirements, extensions and input or output LS for other
SDOs. This kind of appointment may enforce the consensus in working group
more, in addition, the decisions made like this could be also applicable to
the people who are expecting to contribution to this work after closing this
ROHC working group.
 
That is good according to my understanding.
 
Best regards,
Lei Zhu

 
============================================================================
==================
Magnus, others,

Magnus, thanks for joining the discussion. I agree with Magnus on all
accounts.

Even if it seems like we will be closing down soon, I want the group to
focus on the last call of drafts draft-ietf-rohc-rfc4995bis-01.txt

 <http://tools.ietf.org/html/draft-ietf-rohc-rfc4995bis-01>
http://tools.ietf.org/html/draft-ietf-rohc-rfc4995bis-01

Please send in your comments.

Thanks,

/Calle

Magnus Westerlund wrote:
> Hi,
> 
> As the responsible AD I will give my view on the things that has been
> brought up and where there are discussion.
> 
> Regarding the milestone:
> to IESG for publication as Proposed Standard
> 
> This work was chartered on the 30th of August 2006. The only draft to
> fulfill the WG item ever submitted was
> draft-bormann-rohc-avt-crtp-profile-00. It was submitted in March 2007.
> Since then there has been zero progress on this. This makes it clear
> that there are no energy nor interest for this WG item. That is why I
> will not hesitate a single second to kill that WG item.
> 
> When it comes to the two new item brought up as potential WG items I
> have the following comments:
> 
>  <http://tools.ietf.org/html/draft-bormann-rohc-over-802-02>
http://tools.ietf.org/html/draft-bormann-rohc-over-802-02
> This can be done as AD sponsored easily. The goal after all was that the
> adaptation needed so that ROHC can be used for a specific link layer is
> primarily intended to be done by the people that have the link layer
> knowledge. This doesn't need to happen in the ROHC WG. So AD sponsored
> is one way to get such a specification published. Another could be to do
> it in IEEE. I don't have any strong views on this.
> 
>
<http://tools.ietf.org/id/draft-lei-rohc-sigcomp-static-dictionary-01.txt>
http://tools.ietf.org/id/draft-lei-rohc-sigcomp-static-dictionary-01.txt
> I haven't seen a single comment from the WG regarding this individual
> draft. I do value the WGs input into if this seems to a good idea.
> 
> But frankly, the ROHC WG seems to have very little energy left. Based on
> the observed progress the last two years I think it is definitely time
> to close down this WG and declare success. The WG has produced a number
> of specification of good quality. Closing the WG does not prevent future
> work on the ROHC specifications or extensions. Simply that the way to
> accomplish these are different.
> 
> Best Regards
> 
> Magnus
> 
> 
> Carl Knutsson skrev:
>> rohcers,
>>
>> It is time to update the milestones for the rohc wg. I should have done
>> this a long time ago. I have sent my suggestion to our AD, but I want to
>> make sure that it represent the consensus of the group and not just my
>> opinions. So I need your feedback here. Please send in your comments
>> about the new milestones.
>>
>> Below follows my suggestion:
>>
>> All ROHCoIPSec have passed the AD evaluation and drafts are now in IETF
>> last-call.
>>
>> I would like to add one item:
>>
>> Sep 2009 - Revised ROHC framework submitted to IESG for publication as
>>            Proposed Standard
>>
>> This is the new framework draft that is in WG last-call. It includes a
>> fix to the feedback format (to make piggybacked feedback possible) and
>> some editorial changes in the text.
>>
>> I would like to remove two items.
>>
>>            to IESG for publication as Proposed Standard
>> Jan 2007 - RObust Header Compression Protocol Number Registration
>> clear to me what the consensus is for this item. I can't really see what
>> these new legacy profiles solve that can't be solved by existing
>> The Protocol Number Registration item is not needed. The registration is
>> included in the ROHCoIPSec drafts.
>>
>> I would like to see a change of date for the last item. From Jun 2007 to
>> Sep 2009. It is long overdue:
>>
>> Jun 2007 - Recharter of WG to develop additional profiles if needed, or
>>            possible additional compression schemes. Consideration of
>>            concluding the working group.
>>
>> Please send in your comments.
>>
>>
>> Best Regards,
>>
>> /Carl Knutsson, ROHC WG Chair
>> _______________________________________________
>> Rohc mailing list
>> Rohc at ietf.org
>>  <https://www.ietf.org/mailman/listinfo/rohc>
https://www.ietf.org/mailman/listinfo/rohc